﻿<%@ Page Language="C#" AutoEventWireup="false" CodeBehind="WHDG_Timestampcapture.aspx.cs"
    Inherits="CGTC.WHDG_Timestampcapture" %>

<%@ Register Assembly="Infragistics4.Web.v12.2, Version=12.2.20122.1007, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v12.2, Version=12.2.20122.1007, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.NavigationControls" TagPrefix="ig" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <label id="lblMessage" runat="server">
        </label>
        <ig:WebHierarchicalDataGrid ID="WDG_SingleOrderEntry" runat="server" EnableViewState="false" DataKeyFields="CDE_SYMBOL"
            DataMember="Table" Width="1246px" AutoGenerateBands="True" AutoGenerateColumns="False"
            InitialDataBindDepth="-1" EnableAjax="false">
            <Columns>
                <ig:UnboundField Key="delete" Header-Text="Delete" Width="31px" CssClass="GridHyperLink">
                    <Header Text="Delete"></Header>
                </ig:UnboundField>
                <ig:BoundDataField Key="symbol" DataFieldName="CDE_SYMBOL" CssClass="GridHyperLink"
                    Header-Text="Security" Header-CssClass="GridHeaderMouseOver" Width="55px">
                    <Header Text="Security"></Header>
                </ig:BoundDataField>
                <ig:BoundDataField Key="investmentVehicle" Header-CssClass="GridHeaderMouseOver"
                    DataFieldName="STA_BS" Header-Text="Product" Width="60px">
                    <Header Text="Product"></Header>
                </ig:BoundDataField>
                <ig:BoundDataField Key="currentQty" Header-CssClass="GridHeaderMouseOver" DataFieldName="NUM_SHARE"
                    Header-Text="Current Qty" Width="62px">
                    <Header Text="Current Qty"></Header>
                </ig:BoundDataField>
                <ig:BoundDataField Key="currentPctOfAcct" Header-CssClass="GridHeaderMouseOver" DataFormatString="{0:N}"
                    DataFieldName="POS_PCT" Header-Text="Current %" Width="52px">
                    <Header Text="Current %"></Header>
                </ig:BoundDataField>
                <ig:BoundDataField Key="mrktPrice" Header-CssClass="GridHeaderMouseOver" DataFieldName="AVG_PRICE"
                    Header-Text="Price ($)" Width="60px">
                    <Header Text="Price ($)"></Header>
                </ig:BoundDataField>
                <ig:UnboundField Key="BS" CssClass="BuySellDDL" Header-CssClass="GridHeaderMouseOver"
                    Header-Text="Buy/Sell" Width="42px">
                    <Header Text="Buy/Sell"></Header>
                </ig:UnboundField>
                <ig:UnboundField Key="shareQty" Header-CssClass="GridHeaderMouseOver" CssClass="ShrQtytxtbox"
                    Header-Text="Share Qty" Width="75px">
                    <Header Text="Share Qty"></Header>
                </ig:UnboundField>
                <ig:UnboundField Key="projPctOfAcct" Header-CssClass="GridHeaderMouseOver" DataFormatString="{0:N2}"
                    Header-Text="Projected %" Width="63px">
                    <Header Text="Projected %"></Header>
                </ig:UnboundField>
                <ig:UnboundField Key="ordDolrAmt" Header-CssClass="GridHeaderMouseOver" CssClass="DlrAmttxtbox"
                    DataFormatString="{0:N}" Header-Text="Dollar Amount ($)" Width="95px">
                    <Header Text="Dollar Amount ($)"></Header>
                    <Footer CssClass="GridItemRed" />
                </ig:UnboundField>
                <ig:UnboundField Key="limitPrice" Header-CssClass="GridHeaderMouseOver" CssClass="LmtPrictxtbox"
                    Header-Text="Limit Price ($)" DataFormatString="{0:N2}" Width="80px">
                    <Header Text="Limit Price ($)"></Header>
                </ig:UnboundField>
                <ig:UnboundField Key="gainOrLossParentRow" Header-CssClass="GridHeaderMouseOver"
                    Header-Text="Unrealized G/L ($)" Width="96px">
                    <Header Text="Unrealized G/L ($)"></Header>
                </ig:UnboundField>
                <ig:UnboundField Key="heldNotHeld" Header-CssClass="GridHeaderMouseOver" CssClass="HeldNtHeldDDL"
                    Header-Text="Held/Not Held" Width="76px">
                    <Header Text="Held/Not Held"></Header>
                </ig:UnboundField>
                <ig:UnboundField Key="destination" Header-CssClass="GridHeaderMouseOver" CssClass="RoutingDDL"
                    Header-Text="Routing" Width="150px">
                    <Header Text="Routing"></Header>
                </ig:UnboundField>
                <ig:UnboundField Key="VSPtaxLotLink" Hidden="true" Width="0px">
                </ig:UnboundField>
                <ig:UnboundField Key="Ind" Hidden="true" Width="0px">
                </ig:UnboundField>
                <ig:UnboundField Key="Num_RecTAXLOT" Hidden="true" Width="0px">
                </ig:UnboundField>
                <ig:BoundDataField Key="minDenomination" Hidden="true" DataFieldName="AMT_VALUE"
                    Header-Text="Minimum Denomination" Width="60px">
                </ig:BoundDataField>
                <ig:BoundDataField Key="incrDenomination" Hidden="true" DataFieldName="AMT_CASH"
                    Header-Text="Incremental Denomination" Width="60px">
                </ig:BoundDataField>
                <ig:BoundDataField Key="FxdIncGNMA" Hidden="true" DataFieldName="CDE_MODEL" Header-Text="FxdIncGNMA Factor"
                    Width="60px">
                </ig:BoundDataField>
                <ig:BoundDataField Key="NOSOL" Hidden="true" DataFieldName="RSTRCT_TYP" Header-Text="NOSOL"
                    Width="60px">
                </ig:BoundDataField>
            </Columns>
            <Bands>
                <ig:Band AutoGenerateColumns="false" ShowFooter="true" Width="1230px" DataMember="Table2">
                    <Columns>
                        <ig:BoundCheckBoxField DataType="System.Boolean" Key="quantity" Header-Text="Select"
                            DataFieldName="SELECT" Width="35px">
                            <Header Text="Select" />
                            <Footer CssClass="GridItemFooterAlignRight" Text="Total" />
                        </ig:BoundCheckBoxField>
                        <ig:BoundDataField Key="unitsLeft" Header-Text="Share Qty" Width="117px" DataFieldName="NUM_QTY">
                            <Header Text="Share Qty"></Header>
                            <Footer CssClass="GridItemFooterAlignLeft" />
                        </ig:BoundDataField>
                        <ig:BoundDataField Key="daysHeld" Hidden="true" Header-Text="Days Held" Width="63px"
                            DataFieldName="DAYS_HELD">
                            <Header Text="Days Held"></Header>
                            <Footer CssClass="GridItemFooterNoBorder" />
                        </ig:BoundDataField>
                        <ig:BoundDataField Key="dateAcquired" Header-Text="Date Acquired" Width="130px" DataFieldName="DT2_TRADE">
                            <Header Text="Date Acquired"></Header>
                            <Footer CssClass="GridItemFooterNoBorder" />
                        </ig:BoundDataField>
                        <ig:BoundDataField Key="LS" Header-Text="Long/ Short" Width="151px" DataFieldName="LS">
                            <Header Text="Long/Short"></Header>
                            <Footer CssClass="GridItemFooterNoBorder" />
                        </ig:BoundDataField>
                        <ig:BoundDataField Key="unitCost" Header-Text="UnitCost" Width="150px" DataFieldName="AMT_UCOST">
                            <Header Text="Unit Cost ($)"></Header>
                            <Footer CssClass="GridItemFooterNoBorder" />
                        </ig:BoundDataField>
                        <ig:BoundDataField Key="mktValue" Header-Text="Market Value" Width="150px" DataFieldName="AMT_MKTVAL">
                            <Header Text="Market Value ($)"></Header>
                            <Footer CssClass="GridItemFooterAlignRight" Text="" />
                        </ig:BoundDataField>
                        <ig:BoundDataField Key="adjCost" Header-Text="Adjusted Cost" Width="150px" DataFieldName="ADJ_COST">
                            <Header Text="Adjusted Cost ($)"></Header>
                            <Footer CssClass="GridItemFooterAlignLeft" Text="Total Gain/Loss :" />
                        </ig:BoundDataField>
                        <ig:BoundDataField Key="unrealizedgain" DataFormatString="{0:N}" Header-Text="Unrealized Gain/ Loss"
                            Width="208px" DataFieldName="AMT_GL">
                            <Header Text="Unrealized G/L ($)"></Header>
                            <Footer CssClass="GridItemFooterAlignLeft" />
                        </ig:BoundDataField>
                        <ig:BoundDataField Key="numrec" Hidden="true" Header-Text="numrec" Width="0px" DataFieldName="NUM_REC">
                            <Header Text="UnitsLeft"></Header>
                            <Footer />
                        </ig:BoundDataField>
                        <ig:BoundDataField Key="Symbol" Hidden="true" Header-Text="Symbol" Width="117px"
                            DataFieldName="CDE_SYMBOL">
                        </ig:BoundDataField>
                    </Columns>
                    <Behaviors>
                        <ig:EditingCore EnableInheritance="true" Enabled="true" BatchUpdating="true" >
                            <Behaviors>
                                <ig:RowAdding EnableInheritance="true" Enabled="true" Alignment="Bottom" AddNewRowCssClass="hideRow">
                                    <EditModeActions MouseClick="Single" />
                                </ig:RowAdding>
                            </Behaviors>
                        </ig:EditingCore>
                    </Behaviors>
                </ig:Band>
            </Bands>
        </ig:WebHierarchicalDataGrid>
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
    </div>
    </form>
</body>
</html>
