﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Xml;
using System.Collections;
using System.Data;
using System.Diagnostics;

namespace CGTC
{
    public partial class WHDG_Timestampcapture : System.Web.UI.Page
    {
        
        XmlDocument xdoc = new XmlDocument();
        
        XmlDocument xdocTaxlot = new XmlDocument();
        protected System.Data.DataSet dsGetHoldings;
        protected System.Data.DataSet dsExpandAll;
        protected System.Data.DataTable dataTable1;
        protected System.Data.DataTable dataTable2;
        protected System.Data.DataTable dataTable3;
        protected System.Data.DataColumn dataColumn1;
        protected System.Data.DataColumn dataColumn2;
        protected System.Data.DataColumn dataColumn3;
        protected System.Data.DataColumn dataColumn4;
        protected System.Data.DataColumn dataColumn5;
        protected System.Data.DataColumn dataColumn6;
        protected System.Data.DataColumn dataColumn7;
        protected System.Data.DataColumn dataColumn8;
        protected System.Data.DataColumn dataColumn9;
        protected System.Data.DataColumn dataColumn10;
        protected System.Data.DataColumn dataColumn11;
        protected System.Data.DataColumn dataColumn12;
        protected System.Data.DataColumn dataColumn13;
        protected System.Data.DataColumn dataColumn14;
        protected System.Data.DataColumn dataColumn15;
        protected System.Data.DataColumn dataColumn16;
        protected System.Data.DataColumn dataColumn17;
        protected System.Data.DataColumn dataColumn18;
        protected System.Data.DataColumn dataColumn19;
        protected System.Data.DataColumn dataColumn20;
        protected System.Data.DataColumn dataColumn21;
        protected System.Data.DataColumn dataColumn22;
        protected System.Data.DataColumn dataColumn23;
        protected System.Data.DataColumn dataColumn24;
        protected System.Data.DataColumn dataColumn25;
        
        XmlDocument childDoc = new XmlDocument();
        protected void Page_Load(object sender, EventArgs e)
        {
            Stopwatch stopWatch = new Stopwatch();
            stopWatch.Start();
            //dsGetHoldings = new DataSet();
            XmlDocument HeaderDoc = new XmlDocument();
            HeaderDoc.Load(Server.MapPath(@"/site/secure/cgtc/parentRow.xml"));
            string _XMLSource = HeaderDoc.OuterXml;
            XmlDocument xdoc = new XmlDocument();
            xdoc.LoadXml(_XMLSource);
            foreach (XmlNode node in xdoc.SelectNodes("//Table[CDE_SYMBOL='         ']"))
            {
                node.SelectSingleNode("CDE_SYMBOL").InnerText = node.SelectSingleNode("CDE_CUSIP").InnerText;
            }
            XmlReader xdocReader = new XmlNodeReader(xdoc);
            dsGetHoldings.ReadXml(xdocReader);
            HeaderDoc.Load(Server.MapPath(@"/site/secure/cgtc/childrow.xml"));
            childDoc.LoadXml(HeaderDoc.OuterXml);
            
            setSource("xmlmanipulation");
            WDG_SingleOrderEntry.DataSource = dsGetHoldings;

            this.WDG_SingleOrderEntry.DataBind();
            WDG_SingleOrderEntry.ExpandAll();
            TimeSpan ts = stopWatch.Elapsed;

            // Format and display the TimeSpan value. 
            string elapsedTime = String.Format("{0:00}:{1:00}:{2:00}.{3:00}",
                ts.Hours, ts.Minutes, ts.Seconds,
                ts.Milliseconds / 10);

            lblMessage.InnerText = "Parent Rows: " + dsGetHoldings.Tables[0].Rows.Count.ToString() + " Child Rows: " + dsGetHoldings.Tables[2].Rows.Count.ToString() + " Server time :" + elapsedTime;
        }
        override protected void OnInit(EventArgs e)
        {
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit(e);
        }
        private void InitializeComponent()
        {
            this.dsGetHoldings = new System.Data.DataSet();
            this.dataTable1 = new System.Data.DataTable();
            this.dataColumn1 = new System.Data.DataColumn();
            this.dataColumn2 = new System.Data.DataColumn();
            this.dataColumn3 = new System.Data.DataColumn();
            this.dataColumn4 = new System.Data.DataColumn();
            this.dataColumn5 = new System.Data.DataColumn();
            this.dataColumn6 = new System.Data.DataColumn();
            this.dataColumn10 = new System.Data.DataColumn();
            this.dataColumn11 = new System.Data.DataColumn();
            this.dataColumn12 = new System.Data.DataColumn();
            this.dataColumn13 = new System.Data.DataColumn();

            this.dataTable2 = new System.Data.DataTable();
            this.dataColumn7 = new System.Data.DataColumn();
            this.dataColumn8 = new System.Data.DataColumn();
            this.dataColumn9 = new System.Data.DataColumn();

            this.dataTable3 = new System.Data.DataTable();
            //this.dataColumn14 = new System.Data.DataColumn();
            this.dataColumn15 = new System.Data.DataColumn();
            this.dataColumn16 = new System.Data.DataColumn();
            this.dataColumn17 = new System.Data.DataColumn();
            this.dataColumn18 = new System.Data.DataColumn();
            this.dataColumn19 = new System.Data.DataColumn();
            this.dataColumn20 = new System.Data.DataColumn();
            this.dataColumn21 = new System.Data.DataColumn();
            this.dataColumn22 = new System.Data.DataColumn();
            this.dataColumn23 = new System.Data.DataColumn();
            this.dataColumn24 = new System.Data.DataColumn();
            this.dataColumn25 = new System.Data.DataColumn();

            ((System.ComponentModel.ISupportInitialize)(this.dsGetHoldings)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.dataTable1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.dataTable2)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.dataTable3)).BeginInit();
            
            this.dsGetHoldings.DataSetName = "NewDataSet";
            this.dsGetHoldings.Locale = new System.Globalization.CultureInfo("en-US");
            this.dsGetHoldings.Tables.AddRange(new System.Data.DataTable[] {
																			this.dataTable1,
                                                                            this.dataTable2,
                                                                            this.dataTable3});


            this.dsGetHoldings.Relations.AddRange(new System.Data.DataRelation[] {
                                                                                    new System.Data.DataRelation("Relation1", "Table", "Table2", new string[] {
                                                                                                                                                                  "CDE_SYMBOL"}, new string[] {
                                                                                                                                                                                                     "CDE_SYMBOL"}, false)});
            // 
            // dataTable1
            // 
            this.dataTable1.Columns.AddRange(new System.Data.DataColumn[] {
																			  this.dataColumn1,
																			  this.dataColumn2,
																			  this.dataColumn3,
                                                                              this.dataColumn4,
                                                                              this.dataColumn5,
                                                                              this.dataColumn6,
                                                                              this.dataColumn10,
                                                                              this.dataColumn11,
                                                                              this.dataColumn12,
                                                                              this.dataColumn13
                                                                             });
            this.dataTable1.Constraints.AddRange(new System.Data.Constraint[] {
                                                                                new System.Data.UniqueConstraint("Constraint1", new string[] {
                                                                                                                                                 
                                                                                                                                                 "CDE_SYMBOL"}, false)});

            this.dataTable1.TableName = "Table";
            // 
            // dataColumn1
            // 
            this.dataColumn1.ColumnName = "CDE_CUSIP";
            // 
            // dataColumn2
            // 
            this.dataColumn2.ColumnName = "CDE_SYMBOL";
            // 
            // dataColumn3
            // 
            this.dataColumn3.DataType = System.Type.GetType("System.Double");
            this.dataColumn3.ColumnName = "NUM_SHARE";
            // 
            // dataColumn4
            // 
            this.dataColumn4.DataType = System.Type.GetType("System.Double");
            this.dataColumn4.ColumnName = "POS_PCT";
            // 
            // dataColumn5
            // 
            this.dataColumn5.DataType = System.Type.GetType("System.Double");
            this.dataColumn5.ColumnName = "AVG_PRICE";
            // 
            // dataColumn6
            // 
            this.dataColumn6.ColumnName = "STA_BS";
            //
            //dataColumn10
            //
            this.dataColumn10.ColumnName = "AMT_VALUE";
            //
            //dataColumn11
            //
            this.dataColumn11.ColumnName = "AMT_CASH";
            //
            //dataColumn12
            this.dataColumn12.ColumnName = "CDE_MODEL";
            //
            //dataColumn13
            //
            this.dataColumn13.ColumnName = "RSTRCT_TYP";

            this.dataTable2.Columns.AddRange(new System.Data.DataColumn[] {
																			  this.dataColumn7,
																			  this.dataColumn8,
																			  this.dataColumn9});
            this.dataTable2.TableName = "Table1";
            // 
            // dataColumn1
            // 
            this.dataColumn7.ColumnName = "SECURITY";
            // 
            // dataColumn2
            // 
            this.dataColumn8.ColumnName = "NUM_UNIT";
            // 
            // dataColumn3
            // 
            this.dataColumn9.ColumnName = "NUM_REC";

            this.dataTable3.Columns.AddRange(new System.Data.DataColumn[] {
																			 
																			  this.dataColumn15,
																			  this.dataColumn16,
                                                                                this.dataColumn17,
                                                                                this.dataColumn18,
                                                                                this.dataColumn19,
                                                                                this.dataColumn20,
                                                                                this.dataColumn21,
                                                                                this.dataColumn22,
            this.dataColumn23,
            this.dataColumn24,
            this.dataColumn25});

            this.dataTable3.Constraints.AddRange(new System.Data.Constraint[] {
                                                                                     new System.Data.ForeignKeyConstraint("Relation1", "Table", new string[] {
                                                                                                                                                                 "CDE_SYMBOL"}, new string[] {
                                                                                                                                                                                             "CDE_SYMBOL"}, System.Data.AcceptRejectRule.None, System.Data.Rule.Cascade, System.Data.Rule.Cascade)});

            this.dataTable3.TableName = "Table2";
            // 
            // dataColumn1
            // 
            this.dataColumn15.ColumnName = "NUM_QTY";
            // 
            // dataColumn2
            // 
            this.dataColumn16.ColumnName = "DT2_TRADE";
            // 
            // dataColumn3
            // 
            this.dataColumn17.ColumnName = "AMT_UCOST";
            this.dataColumn18.ColumnName = "AMT_MKTVAL";
            this.dataColumn19.ColumnName = "ADJ_COST";
            this.dataColumn20.ColumnName = "AMT_GL";
            this.dataColumn21.ColumnName = "NUM_REC";
            this.dataColumn22.ColumnName = "CDE_SYMBOL";
            this.dataColumn23.ColumnName = "DAYS_HELD";
            this.dataColumn24.ColumnName = "LS";
            this.dataColumn25.ColumnName = "SELECT";

            this.Load += new System.EventHandler(this.Page_Load);
            ((System.ComponentModel.ISupportInitialize)(this.dsGetHoldings)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.dataTable1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.dataTable2)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.dataTable3)).EndInit();
        }
       
        private void setSource(string args)
        {
            //XmlDocument doc = new XmlDocument();
            //doc.LoadXml(result);
            //XmlDocument childDoc = new XmlDocument();
            //childDoc.LoadXml(childRowResult);
            int count = 0;
            if (args == "xmlmanipulation")
            {
                if (dsGetHoldings.Tables["Table"] != null)
                {
                    //System.Text.StringBuilder sbAlertHistory = new System.Text.StringBuilder();
                    DataRow newRow = null;
                    for (int i = 0; i <= dsGetHoldings.Tables["Table"].Rows.Count - 1; i++)
                    {
                        DataRow row = dsGetHoldings.Tables["Table"].Rows[i];
                        string symbol = row["CDE_SYMBOL"].ToString();
                        string secType = row["STA_BS"].ToString();
                        string mkt_price = row["AVG_PRICE"].ToString();
                        string GNMA = row["CDE_MODEL"].ToString();
                        
                            
                            
                            string numrec = "";
                            string shrQtyCommaSeperated = "";
                            decimal individualGainLoss = 0;
                            decimal shrQty = 0;
                            
                            foreach (XmlNode node in childDoc.SelectNodes("//Table[CDE_SYMBOL=\"" + symbol + "\"]"))
                            {
                                newRow = dataTable3.NewRow();
                                string numrecTemp = "," + numrec + ",";
                                if (numrecTemp.Contains("," + node.SelectSingleNode("NUM_REC").InnerText.Trim() + ",") == false)
                                {
                                    newRow["SELECT"] = false;
                                }
                                else
                                {
                                    newRow["SELECT"] = true;
                                }
                                newRow["AMT_UCOST"] = node.SelectSingleNode("AMT_UCOST").InnerText.Trim();
                                string date = node.SelectSingleNode("DT2_TRADE").InnerText.Trim();
                                DateTime AcqDate = Convert.ToDateTime(date);
                                int endIndex = AcqDate.ToString().LastIndexOf("/") + 5;
                                string[] words = AcqDate.ToString().Substring(0, endIndex).Split('/');
                                if (words[0].Length == 1)
                                {
                                    words[0] = "0" + words[0];
                                }
                                if (words[1].Length == 1)
                                {
                                    words[1] = "0" + words[1];
                                }
                                newRow["DT2_TRADE"] = words[0] + "/" + words[1] + "/" + words[2];
                                DateTime now = DateTime.Now;
                                TimeSpan diff = now - AcqDate;
                                newRow["DAYS_HELD"] = diff.Days.ToString();
                                int daysheld = Convert.ToInt32(diff.Days.ToString());
                                if (daysheld < 365)
                                {
                                    newRow["LS"] = "Short";
                                }
                                else
                                {
                                    newRow["LS"] = "Long";
                                }
                                newRow["CDE_SYMBOL"] = node.SelectSingleNode("CDE_SYMBOL").InnerText;
                                newRow["NUM_QTY"] = node.SelectSingleNode("NUM_QTY").InnerText.Trim();
                                newRow["AMT_MKTVAL"] = node.SelectSingleNode("AMT_MKTVAL").InnerText.Trim();
                                //newRow["AMT_COST"] = node.SelectSingleNode("AMT_COST").InnerText.Trim();
                                newRow["AMT_GL"] = node.SelectSingleNode("AMT_GL").InnerText.Trim();
                                //newRow["PCT_GL"] = node.SelectSingleNode("PCT_GL").InnerText.Trim();
                                newRow["NUM_REC"] = node.SelectSingleNode("NUM_REC").InnerText.Trim();
                                //newRow["TOT_LOT_QTY"] = nodeAlert.SelectSingleNode("TOT_LOT_QTY").InnerText.Trim();
                                newRow["ADJ_COST"] = node.SelectSingleNode("ADJ_COST").InnerText.Trim();
                                
                                dataTable3.Rows.Add(newRow);
                            }
                        
                    }
                    dsGetHoldings.AcceptChanges();
                    
                }
            }
        }
    }
}